#!../../bin/darwin-ppc/test

< envPaths
epicsEnvSet("P","chk")

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/powrbootTest.dbd",0,0)
powrbootTest_registerRecordDeviceDriver(pdbbase)

## Set up remote serial port
drvAsynIPPortConfigure("L0","164.54.9.91:4004",0,0,0)

## Set up local serial port
#drvAsynSerialPortConfigure("L0","/dev/tty01",0,0,0)
#asynSetOption("L0", -1, "baud", "9600")
#asynSetOption("L0", -1, "bits", "8")
#asynSetOption("L0", -1, "parity", "none")
#asynSetOption("L0", -1, "stop", "1")
#asynSetOption("L0", -1, "clocal", "Y")
#asynSetOption("L0", -1, "crtscts", "N")

## Configure port
asynSetTraceFile("L0",-1,"")
asynSetTraceMask("L0",-1,0x0d)
asynSetTraceIOMask("L0",-1,0x2)

## Load record instances
dbLoadRecords("db/devpowrboot.db","P=chk,R=,L=0,A=-1")

cd ${TOP}/iocBoot/${IOC}
iocInit()
